Debian Bug report logs - #284795
dialog: doesn't start with iso8859-1 accents

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Sebastien Desreux <seb@H-K.fr>

Date: Wed, 8 Dec 2004 21:03:02 UTC

Severity: normal

Tags: l10n

Found in version 1.0-20041118-1

Fixed in version dialog/1.0-20041219-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Sebastien Desreux <seb@H-K.fr>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastien Desreux <seb@H-K.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: doesn't start with iso8859-1 accents
Date: Wed, 08 Dec 2004 21:46:44 +0100
Package: dialog
Version: 1.0-20041118-1
Severity: important
Tags: l10n


Hello,


I tried upgrading 'dialog' from stable to testing. It fails to launch when
the question contains iso-8859-1 characters. Example:

	dialog --menu "àéè question" 14 76 7 1 foo 2 bar

although it works fine with

	dialog --menu "the question" 14 76 7 1 foo 2 bar

The problem persists even if I

	export LC_CTYPE=iso_8859_1

This bug breaks several programs and one library that I have built upon
'dialog'. The problem does not exist with the version from the stable branch.


Thanks a lot for looking into it !
Seb.


-- System Information:
Debian Release: 3.0
  APT prefers testing
  APT policy: (400, 'testing'), (101, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.18
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages dialog depends on:
ii  debianutils                 1.16.2woody1 Miscellaneous utilities specific t
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libncursesw5                5.4-4        Shared libraries for terminal hand

-- no debconf information



Message sent on to Sebastien Desreux <seb@H-K.fr>:
Bug#284795. Full text and rfc822 format available.

Message #8 received at 284795-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 284795-submitter@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Wed, 8 Dec 2004 16:58:10 -0500 (EST)
[Message part 1 (text/plain, inline)]
On Wed, 8 Dec 2004, Sebastien Desreux wrote:

> Package: dialog
> Version: 1.0-20041118-1
> Severity: important
> Tags: l10n
>
>
> Hello,
>
>
> I tried upgrading 'dialog' from stable to testing. It fails to launch when
> the question contains iso-8859-1 characters. Example:
>
> 	dialog --menu "àéè question" 14 76 7 1 foo 2 bar
>
> although it works fine with
>
> 	dialog --menu "the question" 14 76 7 1 foo 2 bar
>
> The problem persists even if I
>
> 	export LC_CTYPE=iso_8859_1

That's not one of the values I'd expect to see for LC_CTYPE (I'm used to 
seeing things like en_US, en_US.ISO-8859-1 or en_US.UTF-8).  For your 
example, if I set

	LC_ALL=en_US

it works well enough.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #13 received at 284795@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Sebastien Desreux <seb@H-K.fr>, 284795@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Wed, 8 Dec 2004 23:07:09 +0100 (CET)
On Wed, 8 Dec 2004, Sebastien Desreux wrote:

> Package: dialog
> Version: 1.0-20041118-1
> Severity: important
> Tags: l10n
> 
> Hello,
> 
> 
> I tried upgrading 'dialog' from stable to testing. It fails to launch when
> the question contains iso-8859-1 characters. Example:
> 
> 	dialog --menu "àéè question" 14 76 7 1 foo 2 bar
> 
> although it works fine with
> 
> 	dialog --menu "the question" 14 76 7 1 foo 2 bar
> 
> The problem persists even if I
> 
> 	export LC_CTYPE=iso_8859_1

I don't think such value is valid. I would try this:

echo fr_FR ISO-8859-1 >> /etc/locale.gen
locale-gen
export LANG=fr_FR



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Seb <seb@H-K.fr>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #18 received at 284795@bugs.debian.org (full text, mbox):

From: Seb <seb@H-K.fr>
To: Santiago Vila <sanvila@unex.es>
Cc: <284795@bugs.debian.org>, Thomas Dickey <dickey@his.com>
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Wed, 8 Dec 2004 23:20:27 +0100 (CET)
Hello,



| > 	dialog --menu "àéè question" 14 76 7 1 foo 2 bar
| > although it works fine with
| > 	dialog --menu "the question" 14 76 7 1 foo 2 bar
| >
| > The problem persists even if I
| > 	export LC_CTYPE=iso_8859_1
|
| I don't think such value is valid. I would try this:

Maybe I shouldn't have pointed out that I had tried to reset LC*.
This information was in fact irrelevant.

- 'dialog' in the stable branch works with my standard setting (LC_ALL=C)
  and latin1 characters in the question of --menu;

- 'dialog' in the testing branch doesn't.

I could be wrong but it looks like a compile-time options problem, not a
locale problem.

| echo fr_FR ISO-8859-1 >> /etc/locale.gen
| locale-gen
| export LANG=fr_FR

Thanks but no. I want to keep a US config and use latin1 accents at the
same time. Besides, the programs I distribute to friends should work
with any setting of the locale.

| For your example, if I set
|        LC_ALL=en_US
| it works well enough.

I noticed only after sending the report that I had forgotten the join
the error message and I apologize for that.

If I use LC_ALL=en_US, I still get the same error message:

	Can't make sub-window at (21,4), size (7,70).

and 'dialog' doesn't start.

I tried several combinations and I am positive that this problem occurs
only when I use accentuated characters in the question. When they are
present in the values, these are simply cut right where the first accent
was placed.

When I downgrade to stable, it works fine. Yet I'd like to take
advantage of new features such as the --colors option.


A final thought: even in the stable branch, 'dialog' doesn't accept
accentuated characters in --inputbox. If it is possible to fix this in
the testing branch, it will be very useful.


Thanks again !
Seb.




Message sent on to Sebastien Desreux <seb@H-K.fr>:
Bug#284795. Full text and rfc822 format available.

Message #21 received at 284795-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 284795-submitter@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Wed, 8 Dec 2004 17:55:26 -0500 (EST)
On Wed, 8 Dec 2004, Seb wrote:

> - 'dialog' in the stable branch works with my standard setting (LC_ALL=C)
>  and latin1 characters in the question of --menu;

stable is based on libncurses5, while testing is based on libncursesw.
I recall fixing some of the legacy (no locale) support in ncurses after
the 5.4 release.  This is probably related.

> - 'dialog' in the testing branch doesn't.
>
> I could be wrong but it looks like a compile-time options problem, not a
> locale problem.

Not exactly - the failure you're seeing is down in ncurses/ncursesw, which 
is attempting to handle data which is outside the POSIX locale.  (I've 
made a note to check if there was something that I overlooked here - 
regarding the legacy support for systems without locales - but it's not 
dialog that I would inspect, but ncurses).

Setting your locale properly makes it work, right?

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #26 received at 284795@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Seb <seb@H-K.fr>, 284795@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>, control@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Thu, 9 Dec 2004 00:08:03 +0100 (CET)
severity 284795 normal
thanks

On Wed, 8 Dec 2004, Seb wrote:

> Thanks but no. I want to keep a US config and use latin1 accents at the
> same time. Besides, the programs I distribute to friends should work
> with any setting of the locale.
> 
> | For your example, if I set
> |        LC_ALL=en_US
> | it works well enough.
> 
> I noticed only after sending the report that I had forgotten the join
> the error message and I apologize for that.
> 
> If I use LC_ALL=en_US, I still get the same error message:
> 
> 	Can't make sub-window at (21,4), size (7,70).
> 
> and 'dialog' doesn't start.

Yes, that's the error I get using LANG=C, however,

echo en_US ISO-8859-1 >> /etc/locale.gen
locale-gen
export LANG=en_US

works for me.

I'm not saying this is not a bug (the author will decide), but I
disagree that it has a "major effect on the usability of the package".



Severity set to `normal'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #33 received at 284795@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Sebastien Desreux <seb@H-K.fr>, 284795@bugs.debian.org
Cc: Thomas Dickey <dickey@his.com>
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Thu, 9 Dec 2004 00:18:48 +0100 (CET)
For the record:

The Debian dialog package does this:

./configure --enable-nls --with-ncursesw

If --with-ncursesw is removed, the resulting package is linked
against libncurses5 and it does not show the described behaviour.

Thomas, could this be a bug in libncursesw or is the normal ncurses
just too much liberal in what it accepts?



Information stored:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Seb <seb@H-K.fr>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #38 received at 284795-quiet@bugs.debian.org (full text, mbox):

From: Seb <seb@H-K.fr>
To: Thomas Dickey <dickey@his.com>, <284795-quiet@bugs.debian.org>
Cc: <284795-submitter@bugs.debian.org>, Santiago Vila <sanvila@unex.es>, Debian BTS <debbugs@bugs.debian.org>
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Thu, 9 Dec 2004 00:10:44 +0100 (CET)
Hello,



| Setting your locale properly makes it work, right?

Alas, no:


~>grep en_US /etc/locale.gen
en_US ISO-8859-1

~>echo $LANG
en_US

~>dialog --version
Version: 1.0-20041118

~>dialog --menu "àéè question" 25 70 10 1 foo 2 bar

Can't make sub-window at (27,7), size (10,64).


Thus Santiago's solution does not seem to work on my setting (Debian
stable tainted with some testing packages).

| I'm not saying this is not a bug (the author will decide), but I
| disagree that it has a "major effect on the usability of the
| package".

No problem. I realise my setting may not be quite the most used out
there. Let's just say that this bug prevents totally at least me from
using 'dialog'. What I really care about is a solution.


Thanks !
Seb.




Message sent on to Sebastien Desreux <seb@H-K.fr>:
Bug#284795. Full text and rfc822 format available.

Message #41 received at 284795-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 284795-submitter@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Wed, 8 Dec 2004 18:15:37 -0500 (EST)
On Thu, 9 Dec 2004, Santiago Vila wrote:

> I'm not saying this is not a bug (the author will decide), but I
> disagree that it has a "major effect on the usability of the package".

Technically it's a nuisance only, since (my impression) Debian doesn't 
support the non-locale configurations.  The non-locale support in ncurses 
is only intended for applications which have not been updated to know 
about locale (which doesn't include dialog).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Message sent on to Sebastien Desreux <seb@H-K.fr>:
Bug#284795. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #49 received at 284795@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Seb <seb@H-K.fr>
Cc: Thomas Dickey <dickey@his.com>, 284795@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Thu, 9 Dec 2004 01:27:07 +0100 (CET)
On Thu, 9 Dec 2004, Seb wrote:

> | Setting your locale properly makes it work, right?
> 
> Alas, no:
> 
> 
> ~>grep en_US /etc/locale.gen
> en_US ISO-8859-1
> 
> ~>echo $LANG
> en_US
> 
> ~>dialog --version
> Version: 1.0-20041118
> 
> ~>dialog --menu "àéè question" 25 70 10 1 foo 2 bar
> 
> Can't make sub-window at (27,7), size (10,64).

Yes, that's the error I get when LANG=C, but if I set the locale
correctly on a Debian sarge system, it works. Please try it on a
*current* Debian sarge, it *should* work for you as well.

> Thus Santiago's solution does not seem to work on my setting (Debian
> stable tainted with some testing packages).

When LANG=C, I can make dialog_1.0-20041118-1 to work using the menu
with accented chars if I build it removing --with-ncursesw from
the configure line.

If you want to use dialog_1.0-20041118-1 under woody (because of the
new features) or want the menu with accented chars to work under sarge
even when LANG=C, that would be my recommendation.

We support stable, testing, unstable, upgrades from stable to testing,
upgrades from testing to unstable, and upgrades from stable to unstable,
and maybe more (upgrades from oldstable to stable).

But we can't support tainted systems when we don't even know what the
"taint" is about, so please upgrade one of your systems to sarge for
the tests.



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #54 received at 284795@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 284795-submitter@bugs.debian.org
Cc: 284795@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Wed, 8 Dec 2004 19:32:53 -0500 (EST)
On Thu, 9 Dec 2004, Santiago Vila wrote:

> For the record:
>
> The Debian dialog package does this:
>
> ./configure --enable-nls --with-ncursesw
>
> If --with-ncursesw is removed, the resulting package is linked
> against libncurses5 and it does not show the described behaviour.
>
> Thomas, could this be a bug in libncursesw or is the normal ncurses
> just too much liberal in what it accepts?

I see the problem - it's one of those places where the wide-character 
support (this time as used in dialog) is not working as I'd expected. This 
is something like the issues I had to work around in ncursesw to make the 
legacy stuff work, but in our discussion I'd forgotten that the window 
layout borrows the width-computation I'd written for input handling.

That was done by this change:

2003/08/18
        + modify print_line() to work with wide-characters, e.g., so it handles
          wrapping for double-width characters.

The actual bug is that the function dlg_count_wchars() is getting an error 
from the mbsrtowcs() function that I'm not handling "properly". The 0xE0 
is not printable in the user's locale (POSIX), and mbsrtowcs refuses to 
have anything to do with it.

The expected result (for Linux) would be to behave similarly to ncurses' 
legacy support.  One of the fixes I made for that was to ensure that 
unctrl() would return a value consistent with this - I'll incorporate some 
workaround into dialog which exploits that.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Seb <seb@H-K.fr>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #59 received at 284795@bugs.debian.org (full text, mbox):

From: Seb <seb@H-K.fr>
To: Santiago Vila <sanvila@unex.es>
Cc: Thomas Dickey <dickey@his.com>, <284795@bugs.debian.org>
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Thu, 9 Dec 2004 01:29:51 +0100 (CET)
Hello,



| We support stable, testing, unstable, upgrades from stable to
| testing, upgrades from testing to unstable, and upgrades from stable
| to unstable, and maybe more (upgrades from oldstable to stable).
|
| But we can't support tainted systems when we don't even know what
| the "taint" is about, so please upgrade one of your systems to sarge
| for the tests.

I can't upgrade to Sarge now. Please correct me if I'm wrong, but since
it is still the testing version it does not receive the security updates
the way the stable branch does. This holds me back. And I do not have a
spare machine lying around -- anyway, if it works on your setting, it
works, I am not that paranoid :-)

Also, I use 'dialog' for a program that is used on about a dozen
different academic sites, where the users do not have root privilege and
can't twist compile-time options. So I'd rather stick to what works out
of the box in almost any environment.

I see that it may not be your responsability after all. I am a bit
surprised that as crucial a program should not work on Woody when using
the testing version, but OK, I'll wait till Sarge is released or simply
forgo the goodies such as --colors.


Thanks for your time.
Seb.




Message sent on to Sebastien Desreux <seb@H-K.fr>:
Bug#284795. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #67 received at 284795@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: Seb <seb@H-K.fr>, 284795@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Fri, 10 Dec 2004 13:55:49 +0100
[Message part 1 (text/plain, inline)]
Am 2004-12-08 23:20:27, schrieb Seb:
> 
> Hello,

> I could be wrong but it looks like a compile-time options problem, not a
> locale problem.
> 
> | echo fr_FR ISO-8859-1 >> /etc/locale.gen
> | locale-gen
> | export LANG=fr_FR
> 
> Thanks but no. I want to keep a US config and use latin1 accents at the
> same time. Besides, the programs I distribute to friends should work
> with any setting of the locale.

If I use a locale "C" I will never see accents.
You need to set "LANG" to a locale which support accents.

> | For your example, if I set
> |        LC_ALL=en_US
> | it works well enough.
> 
> I noticed only after sending the report that I had forgotten the join
> the error message and I apologize for that.
> 
> If I use LC_ALL=en_US, I still get the same error message:
> 
> 	Can't make sub-window at (21,4), size (7,70).
> 
> and 'dialog' doesn't start.

This error has nothing to do with the locales

> I tried several combinations and I am positive that this problem occurs
> only when I use accentuated characters in the question. When they are
> present in the values, these are simply cut right where the first accent
> was placed.
> 
> When I downgrade to stable, it works fine. Yet I'd like to take
> advantage of new features such as the --colors option.

???

> A final thought: even in the stable branch, 'dialog' doesn't accept
> accentuated characters in --inputbox. If it is possible to fix this in
> the testing branch, it will be very useful.

???

In WOODY and SARGE it does work...
Maybe your system is misconfigured.


> Thanks again !
> Seb.

Greetings
Michelle

-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/ 
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/3/88452356    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Seb <seb@H-K.fr>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #72 received at 284795@bugs.debian.org (full text, mbox):

From: Seb <seb@H-K.fr>
To: Michelle Konzack <linux4michelle@freenet.de>
Cc: <284795@bugs.debian.org>
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Fri, 10 Dec 2004 16:15:34 +0100 (CET)
Hello,



| > Thanks but no. I want to keep a US config and use latin1 accents at the
| > same time. Besides, the programs I distribute to friends should work
| > with any setting of the locale.
|
| If I use a locale "C" I will never see accents.
| You need to set "LANG" to a locale which support accents.

Well, I have been using LC_ALL=C for ten years and it has never
prevented me from using accents, which I compose on a qwerty keyboard
via the meta key. It works with the shell, in text editors and in
dialog usually.

Only the most recent version of 'dialog' breaks this when the testing
version is installed via apt-get on a woody system.

| This error has nothing to do with the locales

OK then, sorry for the misclassification. I hope you can still fix the
problem.

| > When I downgrade to stable, it works fine. Yet I'd like to take
| > advantage of new features such as the --colors option.
| ???

Sorry ?

| > A final thought: even in the stable branch, 'dialog' doesn't accept
| > accentuated characters in --inputbox. If it is possible to fix this in
| > the testing branch, it will be very useful.
| ???
| In WOODY and SARGE it does work...

I didn't say that 'dialog' doesn't work on a purely woody or purely
sarge system; I merely state that when I pull 'dialog' from the testing
branch on a woody system, it breaks on accents. I think it shouldn't,
regardless of $LANG.

| Maybe your system is misconfigured.

Please don't be so confrontational. It doesn't help and, worse, it
doesn't fix anything. I am not critizicing you, I'm trying to help
Debian work better. We have the same interest here.


Thanks anyway.
Seb.




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Michelle Konzack <linux4michelle@freenet.de>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #77 received at 284795@bugs.debian.org (full text, mbox):

From: Michelle Konzack <linux4michelle@freenet.de>
To: Seb <seb@H-K.fr>, 284795@bugs.debian.org
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Fri, 10 Dec 2004 21:28:56 +0100
[Message part 1 (text/plain, inline)]
Am 2004-12-10 16:15:34, schrieb Seb:
> 
> Hello,

> | If I use a locale "C" I will never see accents.
> | You need to set "LANG" to a locale which support accents.
> 
> Well, I have been using LC_ALL=C for ten years and it has never
> prevented me from using accents, which I compose on a qwerty keyboard
> via the meta key. It works with the shell, in text editors and in
> dialog usually.

If I chose LC_ALL=C then I have plain "usascii" which does not allow
me to type áéàèäöüß. It does not work under WOODY not under SARGE

My keyboard ist de-latin1 (with deadkeys) and the font lat0-16. If I
use "de_DE@euro" all is working fine choosing "en_US" does not work. 

(Tested for some minutes)

> Only the most recent version of 'dialog' breaks this when the testing
> version is installed via apt-get on a woody system.

If you create backports for WOODY, it is your responsability to do this
correct. I have a collection of more then 80 Backports and never had
problems. 

Backportion is not only compiling a source wit an other glibc/compiler.

> I didn't say that 'dialog' doesn't work on a purely woody or purely
> sarge system; I merely state that when I pull 'dialog' from the testing
> branch on a woody system, it breaks on accents. I think it shouldn't,
> regardless of $LANG.

If you det your locale to "C" then this behaviour is correct, because 
"C" is plain "usascii" which does not have accents.

> | Maybe your system is misconfigured.
> 
> Please don't be so confrontational. It doesn't help and, worse, it
> doesn't fix anything. I am not critizicing you, I'm trying to help
> Debian work better. We have the same interest here.

C                   =   usascii                 = 7 Bit
en_US               =   usascii                 = 7 Bit
en_US.iso-8859-1    =   usascii + extra chars   = 8 Bit

So it is you configuration problem not a Debian one.

> Thanks anyway.
> Seb.

Greetings
Michelle

-- 
Linux-User #280138 with the Linux Counter, http://counter.li.org/ 
Michelle Konzack   Apt. 917                  ICQ #328449886
                   50, rue de Soultz         MSM LinuxMichi
0033/3/88452356    67100 Strasbourg/France   IRC #Debian (irc.icq.com)
[signature.pgp (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#284795; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Seb <seb@H-K.fr>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #82 received at 284795@bugs.debian.org (full text, mbox):

From: Seb <seb@H-K.fr>
To: Michelle Konzack <linux4michelle@freenet.de>
Cc: <284795@bugs.debian.org>
Subject: Re: Bug#284795: dialog: doesn't start with iso8859-1 accents
Date: Sun, 12 Dec 2004 19:19:00 +0100 (CET)
Hello Michelle,



Thanks for providing a clear solution. It works.

| > Well, I have been using LC_ALL=C for ten years and it has never
| > prevented me from using accents, which I compose on a qwerty keyboard
| > via the meta key. It works with the shell, in text editors and in
| > dialog usually.
|
| If I chose LC_ALL=C then I have plain "usascii" which does not allow
| me to type áéàèäöüß. It does not work under WOODY not under SARGE

Well, apparently this point is a bit tricky because the same
configuration does work for me:

~>echo $LC_ALL
C
~>echo "éõêóëæèëêèéõå"
éõêóëæèëêèéõå
~>echo $LANG

~>

| My keyboard ist de-latin1 (with deadkeys) and the font lat0-16. If I
| use "de_DE@euro" all is working fine choosing "en_US" does not work.

Therein may lie the key: in /etc/X11/XF86Config-4 I have

Section "InputDevice"
    Identifier  "Generic Keyboard"
    Driver      "keyboard"
    Option      "CoreKeyboard"
    Option      "XkbRules"  "xfree86"
    Option      "XkbModel"  "pc104"
    Option      "XkbLayout" "us"
    Option      "XkbOptions"    "pc104:altmeta"
EndSection

It's probably the pc104:altmeta that allows me to use latin-1 characters
even with LC_ALL=C.

| > Only the most recent version of 'dialog' breaks this when the testing
| > version is installed via apt-get on a woody system.
|
| If you create backports for WOODY, it is your responsability to do
| this correct. I have a collection of more then 80 Backports and
| never had problems.
|
| Backportion is not only compiling a source wit an other
| glibc/compiler.

I am definitely not creating a backport, otherwise I would not be
bothering the team. I merely used apt-get -t testing. Sorry if this
point wasn't clear in my message.

| C                   =   usascii                 = 7 Bit
| en_US               =   usascii                 = 7 Bit
| en_US.iso-8859-1    =   usascii + extra chars   = 8 Bit
| So it is you configuration problem not a Debian one.

You're right, setting
	LC_ALL=en_US.iso-8859-1
solves the problem.

So now my problem is gone, which is a good thing. Yet it might still be
worthwhile to look into the issue: even if I did have a configuration
problem, and I thank you for pointing this out, the woody version of
dialog did manage to work around it whereas it breaks the sarge version.

So as far as I am concerned, my bug report is closed. It's up to you to
decide whether it is necessary to look into the wider issue.


Thanks !
Seb.




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sebastien Desreux <seb@H-K.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 284795-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 284795-close@bugs.debian.org
Subject: Bug#284795: fixed in dialog 1.0-20041219-1
Date: Tue, 21 Dec 2004 11:17:02 -0500
Source: dialog
Source-Version: 1.0-20041219-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20041219-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20041219-1.diff.gz
dialog_1.0-20041219-1.dsc
  to pool/main/d/dialog/dialog_1.0-20041219-1.dsc
dialog_1.0-20041219-1_i386.deb
  to pool/main/d/dialog/dialog_1.0-20041219-1_i386.deb
dialog_1.0-20041219.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20041219.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 284795@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 21 Dec 2004 17:00:10 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 1.0-20041219-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 284008 284795
Changes: 
 dialog (1.0-20041219-1) unstable; urgency=low
 .
   * New upstream release.
   - Fixed help output for --fselect (Closes: #284008).
   - Changed to allow iso-8859-1 chars when LANG=C (Closes: #284795).
   * Added "pause" to the examples directory, for the new "pause" widget.
Files: 
 6a3bf51d044a0e3c4c84d47420da11db 593 misc optional dialog_1.0-20041219-1.dsc
 da11875753f998c56a8a5f2790a25e24 293839 misc optional dialog_1.0-20041219.orig.tar.gz
 971afd31c3821005ad54030b3abeb7d8 7649 misc optional dialog_1.0-20041219-1.diff.gz
 23e81e6040c9450cb4afe9baa30cded6 181384 misc optional dialog_1.0-20041219-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFByEjZd9Uuvj7yPNYRArNTAJ9o8sJQArkaJeJukXF0aHTK9DqgrQCggBgQ
KINNDiP5sTDoB7oxaBKt+rA=
=sAeL
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:18:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.